<?php
/**
 * @file
 * drupalorg_crosssite_membership.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function drupalorg_crosssite_membership_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'user-user-field_da_expiration_date'.
  $field_instances['user-user-field_da_expiration_date'] = array(
    'bundle' => 'user',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 21,
      ),
    ),
    'entity_type' => 'user',
    'field_name' => 'field_da_expiration_date',
    'label' => 'Drupal Association - expiration date',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => 0,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'field_extrawidgets',
      'settings' => array(),
      'type' => 'field_extrawidgets_hidden',
      'weight' => 112,
    ),
  );

  // Exported field_instance: 'user-user-field_da_ind_membership'.
  $field_instances['user-user-field_da_ind_membership'] = array(
    'bundle' => 'user',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 18,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 7,
      ),
    ),
    'entity_type' => 'user',
    'field_name' => 'field_da_ind_membership',
    'label' => 'Drupal Association - Individual Membership',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => 0,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'field_extrawidgets',
      'settings' => array(
        'display_empty' => 0,
        'formatter' => 'text_default',
        'formatter_settings' => array(),
        'size' => 60,
      ),
      'type' => 'field_extrawidgets_hidden',
      'weight' => 12,
    ),
  );

  // Exported field_instance: 'user-user-field_da_join_date'.
  $field_instances['user-user-field_da_join_date'] = array(
    'bundle' => 'user',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 20,
      ),
    ),
    'entity_type' => 'user',
    'field_name' => 'field_da_join_date',
    'label' => 'Drupal Association - join date',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => 0,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'field_extrawidgets',
      'settings' => array(),
      'type' => 'field_extrawidgets_hidden',
      'weight' => 111,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Drupal Association - Individual Membership');
  t('Drupal Association - expiration date');
  t('Drupal Association - join date');

  return $field_instances;
}
